import pickle
import matplotlib.pyplot as plt
import seaborn as sb
import numpy as np
import arviz as az
import pandas as pd

pd.set_option('display.max_rows', 10000)       #    統計量表示サイズ行数の制限
pd.set_option('display.max_columns', 10000)    #    統計量表示サイズ列数の制限

with open('infrnc_d.pkl', 'rb') as f:
    infrnc_d = pickle.load(f)

with open('results.txt', 'w') as f:
    f.write(az.summary(infrnc_d).__str__())
print('Summary...\n', az.summary(infrnc_d, fmt = 'wide'))
for s in az.summary(infrnc_d):
    print(s)

with open('d_frame.pkl', 'rb') as f:
    d_frame = pickle.load(f)

print(d_frame.describe(percentiles = [0.25, 0.5, 0.75]).T)

sb.kdeplot(d_frame['a2'], label = 'a2')
sb.kdeplot(d_frame['a3'], label = 'a3')
plt.xlabel('a2/a3', fontsize = 14)
plt.legend()
plt.savefig('Figa2a3.png')
plt.show()

sb.kdeplot(d_frame['b2'], label = 'b2')
sb.kdeplot(d_frame['b3'], label = 'b3')
plt.xlabel('b2/b3', fontsize = 14)
plt.legend()
plt.savefig('Figb2b3.png')
plt.show()

sb.kdeplot(d_frame['g22'], label = 'g22')
sb.kdeplot(d_frame['g23'], label = 'g23')
sb.kdeplot(d_frame['g32'], label = 'g32')
sb.kdeplot(d_frame['g33'], label = 'g33')
plt.xlabel('g**', fontsize = 14)
plt.legend()
plt.savefig('Figg__.png')
plt.show()
